
#Adjusts Title Times + Displays Countdown.
title @s times 0 20 0



#Displays the respawn countdown.
execute if score @s deathTimer matches 100 run title @s title [{"text":"YOU DIED!","color":"red"}]

execute if score @s deathTimer matches 100 run title @s subtitle [{"text":"you will respawn in ","color":"yellow"},{"text":"5","color":"red"},{"text":" seconds!","color":"yellow"}]

execute if score @s deathTimer matches 80 run title @s subtitle [{"text":"you will respawn in ","color":"yellow"},{"text":"4","color":"red"},{"text":" seconds!","color":"yellow"}]

execute if score @s deathTimer matches 60 run title @s subtitle [{"text":"you will respawn in ","color":"yellow"},{"text":"3","color":"red"},{"text":" seconds!","color":"yellow"}]

execute if score @s deathTimer matches 40 run title @s subtitle [{"text":"you will respawn in ","color":"yellow"},{"text":"2","color":"red"},{"text":" seconds!","color":"yellow"}]

execute if score @s deathTimer matches 20 run title @s subtitle [{"text":"you will respawn in ","color":"yellow"},{"text":"1","color":"red"},{"text":" seconds!","color":"yellow"}]



#Teleports the player back to their island.
execute if score @s deathTimer matches 2 run gamemode adventure
execute if score @s deathTimer matches 2 run tp @s[team=red] @e[type=armor_stand,tag=redspawn,limit=1]
execute if score @s deathTimer matches 2 run tp @s[team=white] @e[type=armor_stand,tag=whitespawn,limit=1]
execute if score @s deathTimer matches 2 run tp @s[team=purple] @e[type=armor_stand,tag=purplespawn,limit=1]
execute if score @s deathTimer matches 2 run tp @s[team=black] @e[type=armor_stand,tag=blackspawn,limit=1]



#Changes player's gamemode back to adventure + Shows respawn title + Plays ding sound.
execute if score @s deathTimer matches 1 run title @s clear



#Gives sword.
execute if score @s deathTimer matches 1 run give @s wooden_sword{CanPlaceOn:["minecraft:dirt","minecraft:coarse_dirt","minecraft:podzol","minecraft:grass_block","minecraft:stone","minecraft:andesite","minecraft:cobblestone","minecraft:gravel","minecraft:mossy_cobblestone","minecraft:stone_slab","minecraft:cobblestone_slab","minecraft:cobblestone_wall","minecraft:smooth_red_sandstone","minecraft:smooth_red_sandstone_slab","minecraft:smooth_red_sandstone_stairs","minecraft:orange_terracotta","minecraft:oak_planks","minecraft:dark_oak_planks","minecraft:dark_oak_slab","minecraft:jack_o_lantern","minecraft:carved_pumpkin","minecraft:pumpkin","minecraft:green_terracotta","minecraft:obsidian","minecraft:black_wool","minecraft:spruce_leaves","minecraft:end_stone","minecraft:ladder","red_wool","white_wool","purple_wool","black_wool","red_sandstone_slab","red_sand","red_sandstone_stairs","campfire","red_sandstone","acacia_wood"],CanDestroy:["red_wool","white_wool","purple_wool","black_wool","end_stone","oak_planks","obsidian","ladders","carved_pumpkin"],HideFlags:120,Unbreakable:1}

#Gives pickaxe.
execute if score @s deathTimer matches 1 if entity @s[tag=pickaxe] run give @s wooden_pickaxe{CanPlaceOn:["minecraft:dirt","minecraft:coarse_dirt","minecraft:podzol","minecraft:grass_block","minecraft:stone","minecraft:andesite","minecraft:cobblestone","minecraft:gravel","minecraft:mossy_cobblestone","minecraft:stone_slab","minecraft:cobblestone_slab","minecraft:cobblestone_wall","minecraft:smooth_red_sandstone","minecraft:smooth_red_sandstone_slab","minecraft:smooth_red_sandstone_stairs","minecraft:orange_terracotta","minecraft:oak_planks","minecraft:dark_oak_planks","minecraft:dark_oak_slab","minecraft:jack_o_lantern","minecraft:carved_pumpkin","minecraft:pumpkin","minecraft:green_terracotta","minecraft:obsidian","minecraft:black_wool","minecraft:spruce_leaves","minecraft:end_stone","minecraft:ladder","red_wool","white_wool","purple_wool","black_wool","red_sandstone_slab","red_sand","red_sandstone_stairs","campfire","red_sandstone","acacia_wood"],CanDestroy:["red_wool","white_wool","purple_wool","black_wool","end_stone","oak_planks","obsidian","ladders","carved_pumpkin"],HideFlags:120,Unbreakable:1,Enchantments:[{id:"efficiency",lvl:1}]}

#Gives axe.
execute if score @s deathTimer matches 1 if entity @s[tag=axe] run give @s wooden_axe{CanPlaceOn:["minecraft:dirt","minecraft:coarse_dirt","minecraft:podzol","minecraft:grass_block","minecraft:stone","minecraft:andesite","minecraft:cobblestone","minecraft:gravel","minecraft:mossy_cobblestone","minecraft:stone_slab","minecraft:cobblestone_slab","minecraft:cobblestone_wall","minecraft:smooth_red_sandstone","minecraft:smooth_red_sandstone_slab","minecraft:smooth_red_sandstone_stairs","minecraft:orange_terracotta","minecraft:oak_planks","minecraft:dark_oak_planks","minecraft:dark_oak_slab","minecraft:jack_o_lantern","minecraft:carved_pumpkin","minecraft:pumpkin","minecraft:green_terracotta","minecraft:obsidian","minecraft:black_wool","minecraft:spruce_leaves","minecraft:end_stone","minecraft:ladder","red_wool","white_wool","purple_wool","black_wool","red_sandstone_slab","red_sand","red_sandstone_stairs","campfire","red_sandstone","acacia_wood"],CanDestroy:["red_wool","white_wool","purple_wool","black_wool","end_stone","oak_planks","obsidian","ladders","carved_pumpkin"],HideFlags:120,Unbreakable:1,Enchantments:[{id:"efficiency",lvl:1}]}

#Gives shears.
execute if score @s deathTimer matches 1 if entity @s[tag=shears] run give @s shears{CanPlaceOn:["minecraft:dirt","minecraft:coarse_dirt","minecraft:podzol","minecraft:grass_block","minecraft:stone","minecraft:andesite","minecraft:cobblestone","minecraft:gravel","minecraft:mossy_cobblestone","minecraft:stone_slab","minecraft:cobblestone_slab","minecraft:cobblestone_wall","minecraft:smooth_red_sandstone","minecraft:smooth_red_sandstone_slab","minecraft:smooth_red_sandstone_stairs","minecraft:orange_terracotta","minecraft:oak_planks","minecraft:dark_oak_planks","minecraft:dark_oak_slab","minecraft:jack_o_lantern","minecraft:carved_pumpkin","minecraft:pumpkin","minecraft:green_terracotta","minecraft:obsidian","minecraft:black_wool","minecraft:spruce_leaves","minecraft:end_stone","minecraft:ladder","red_wool","white_wool","purple_wool","black_wool","red_sandstone_slab","red_sand","red_sandstone_stairs","campfire","red_sandstone","acacia_wood"],CanDestroy:["red_wool","white_wool","purple_wool","black_wool","end_stone","oak_planks","obsidian","ladders","carved_pumpkin"],HideFlags:120,Unbreakable:1}



#Respawn title.
execute if score @s deathTimer matches 1 run title @s title [{"text":"RESPAWNED!","color":"green"}]



#Runs the timer.
execute if score @s deathTimer matches 1.. run scoreboard players remove @s deathTimer 1
